version: 1
rule_groups:
- name: Sample Rule 2
  rules:
  - priority: 100
    name: For sharedmail1@example.com
    action:
      type: suspend
      attribute:
        auto_release: true
        visible_to_from_address_group: true
        duration: 10m
      encrypt: true
    predicate: and
    predicates:
    - target: envelope:from
      predicate: match
      pattern: ^sharedmail1@example\.com$
      count: 1